from flask import Blueprint, session, request, jsonify
from controller.reader_progress import save_progress_controller

progress_bp = Blueprint('progress', __name__)

@progress_bp.route('/save_progress', methods=['POST'])
def save_progress():
    user_id = session.get('user_id')
    if not user_id:
        return jsonify({'error': 'User not logged in'}), 401

    data = request.get_json()

    return save_progress_controller(data, user_id)
