from werkzeug.security import check_password_hash
from models import User

def authenticate_user(email, password):
    user = User.query.filter_by(email=email).first()

    if user and check_password_hash(user.password, password):
        return {
            'id': user.id,
            'email': user.email,
            'role': user.role
        }
    else:
        return None