from models import Book, Chapter

def check_if_book_exists(book_id):
    return Book.query.filter_by(id=book_id).first()

def check_chapter_and_page(book_id, chapter_number, page_number):
    chapter = Chapter.query.filter_by(book_id=book_id, chapter_number=chapter_number).first()

    if chapter:
        if chapter.start_page <= page_number <= chapter.end_page:
            return True
        else:
            return False
    else:
        return False