from models import ReaderProgress
from app import db

def save_reader_progress_service(reader_id, book_id, chapter_number, page_number):
    progress = ReaderProgress(
        book_id=book_id,
        reader_id=reader_id,
        chapter_number=chapter_number,
        page_number=page_number
    )
    db.session.add(progress)
    db.session.commit()
